Bug 171559 - [NEW PORT] games/airstrike: 2d biplane dogfight game
[NEW PORT] games/airstrike: 2d biplane dogfight game
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rusmir Dusko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 00:30 UTC by nemysis
Modified: 2013-10-24 23:47 UTC (History)
1 user (show)

See Also:


Attachments
.shar (4.42 KB, text/plain)
2012-09-12 00:30 UTC, nemysis
no flags Details
airstrike.shar (4.82 KB, application/x-shar)
2012-10-02 19:54 UTC, nemysis
no flags Details
airstrike.shar (4.33 KB, application/x-shar)
2012-10-11 03:22 UTC, nemysis
no flags Details
airstrike.shar (7.11 KB, application/x-shar)
2012-11-07 02:26 UTC, nemysis
no flags Details
airstrike.shar (7.35 KB, application/x-shar)
2013-02-15 09:59 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-12 00:30:00 UTC
Airstrike  is a 2d biplane dogfight game in the tradition of the
Intel-livision and Amiga games 'Biplanes' and 'BIP'. It  features a robust
physics engine and several other extensions of the original games.

Airstrike is a 2d dogfighting game being slowly developed by various people
around the net. It is not yet playable although there is an old version which
may be a bit fun to try.

WWW: http://icculus.org/airstrike/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
looks fine.

Build log RedPorts

https://redports.org/buildarchive/20120911200913-34415/
Comment 1 nemysis 2012-10-02 19:54:34 UTC
Changed

DOCSRCDIR1=     ${WRKSRC}
DOC_FILES1=     ChangeLog README

DOCSRCDIR2=     ${WRKSRC}/doc
DOCSDIR2=       ${DOCSDIR}/doc
DOC_FILES2=     1.0-features 33fps.out BUGS TODO WHISHLIST animations.txt \
                code.txt collisions.tm design.dia design.pdf fun.ps guide.txt \
                how-it-works.txt levels.txt performance.txt physics.txt release-plan.txt


DESKTOP_ENTRIES="Airstrike" "${COMMENT}" "${PORTNAME}" \
                "${PORTNAME}" "Game;ArcadeGame;" ${FALSE}


.if ${PORT_OPTIONS:MDOCS}
        ${MKDIR} ${DOCSDIR}
        ${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
        ${MKDIR} ${DOCSDIR2}
        ${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR2}
        ${INSTALL_MAN} ${WRKSRC}/doc/${MAN6} ${MAN6PREFIX}/man/man6
.endif


files/airstrike.in

./airstrike ${@}
Comment 2 nemysis 2012-11-07 02:26:11 UTC
Added pkg-plist
Comment 3 nemysis 2013-02-15 09:59:03 UTC
portlint -A
WARN: Makefile: [43]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: /var/tmp/ports/usr/local/ports/local/pr/games/airstrike/work/pkg-message: possible use of absolute pathname "/usr/local/share/air...".
WARN: /var/tmp/ports/usr/local/ports/local/pr/games/airstrike/work/pkg-message: possible use of absolute pathname "/bin/chmod".
WARN: /var/tmp/ports/usr/local/ports/local/pr/games/airstrike/work/pkg-message: possible direct use of "/usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
0 fatal errors and 4 warnings found.


port test: clean
Comment 4 Martin Wilke freebsd_committer 2013-08-14 10:23:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 5 dfilter freebsd_committer 2013-10-24 11:24:10 UTC
Author: nemysis
Date: Thu Oct 24 10:20:55 2013
New Revision: 331472
URL: http://svnweb.freebsd.org/changeset/ports/331472

Log:
  Airstrike  is a 2d biplane dogfight game in the tradition of the
  Intel-livision and Amiga games 'Biplanes' and 'BIP'. It  features a robust
  physics engine and several other extensions of the original games.
  
  Airstrike is a 2d dogfighting game being slowly developed by various people
  around the net. It is not yet playable although there is an old version which
  may be a bit fun to try.
  
  WWW: http://icculus.org/airstrike/
  
  PR:		ports/171559
  Submitted by:	nemysis (self)
  Approved by:	wg (mentor)

Added:
  head/games/airstrike/
  head/games/airstrike/Makefile   (contents, props changed)
  head/games/airstrike/distinfo   (contents, props changed)
  head/games/airstrike/files/
  head/games/airstrike/files/airstrike.in   (contents, props changed)
  head/games/airstrike/files/pkg-message.in   (contents, props changed)
  head/games/airstrike/pkg-descr   (contents, props changed)
  head/games/airstrike/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Thu Oct 24 10:18:31 2013	(r331471)
+++ head/games/Makefile	Thu Oct 24 10:20:55 2013	(r331472)
@@ -24,6 +24,7 @@
     SUBDIR += affenspiel
     SUBDIR += afternoonstalker
     SUBDIR += agame
+    SUBDIR += airstrike
     SUBDIR += alephone
     SUBDIR += alephone-data
     SUBDIR += alephone-scenarios

Added: head/games/airstrike/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/Makefile	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,61 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	airstrike
+PORTVERSION=	c7
+CATEGORIES=	games
+MASTER_SITES=	SF/nemysisfreebsdp/${CATEGORIES}/
+DISTNAME=	${PORTNAME}-pre6a-src_freebsd_and_v${DISTVERSION}
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	2d biplane dogfight game
+
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-pre6a-src
+
+USES=		gmake desktop-file-utils
+USE_SDL=	image mixer sdl
+ALL_TARGET=
+INSTALLS_ICONS=	yes
+
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	ChangeLog README
+
+DOCSRCDIR2=	${WRKSRC}/doc
+DOCSDIR2=	${DOCSDIR}/doc
+DOC_FILES2=	1.0-features 33fps.out BUGS TODO WHISHLIST *.txt \
+		collisions.tm design.dia design.pdf fun.ps
+
+SUB_FILES=	${PORTNAME} \
+		pkg-message
+
+DESKTOP_ENTRIES="Airstrike" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
+
+OPTIONS_DEFINE=	DOCS
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|CFLAGS += -DLINUX|#CFLAGS += -DLINUX|' ${WRKSRC}/src/Makefile
+	@${FIND} ${WRKSRC} -name '*.c' -or -name '*.h' | ${XARGS} \
+		${REINPLACE_CMD} -e 's|<malloc.h>|<stdlib.h>|g'
+
+do-build:
+	@(cd ${WRKSRC} ; ${GMAKE} airstrike-sound)
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "data airstrikerc" ${STAGEDIR}${DATADIR})
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${DATADIR}
+	${LN} -sf ${WRKSRC}/data/balloon.png ${STAGEDIR}${PREFIX}/share/pixmaps/${PORTNAME}.png
+
+	${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.6 ${STAGEDIR}${MAN6PREFIX}/man/man6/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
+
+.include <bsd.port.mk>

Added: head/games/airstrike/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/distinfo	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,2 @@
+SHA256 (airstrike-pre6a-src_freebsd_and_vc7.tar.gz) = 584ed92da19c1e2d740f992ca924b68a473cdb2512b5a7d88394554c094391c1
+SIZE (airstrike-pre6a-src_freebsd_and_vc7.tar.gz) = 2482387

Added: head/games/airstrike/files/airstrike.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/files/airstrike.in	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+cd "%%DATADIR%%"
+exec ./airstrike "${@}"

Added: head/games/airstrike/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/files/pkg-message.in	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,21 @@
+===============================================================================
+
+Airstrike has been installed.
+
+All options are given only in the config file.
+
+Please copy airstrikerc to your home directory and adjust it
+
+    su user
+
+    cp %%DATADIR%%/airstrikerc ~/.airstrikerc
+
+You could manually change Permissions with:
+
+    /bin/chmod 644 ~/.airstrikerc
+
+    exit
+
+Have fun!
+
+===============================================================================

Added: head/games/airstrike/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/pkg-descr	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,9 @@
+Airstrike  is a 2d biplane dogfight game in the tradition of the
+Intel-livision and Amiga games 'Biplanes' and 'BIP'. It  features a robust
+physics engine and several other extensions of the original games.
+
+Airstrike is a 2d dogfighting game being slowly developed by various people
+around the net. It is not yet playable although there is an old version which
+may be a bit fun to try.
+
+WWW: http://icculus.org/airstrike/

Added: head/games/airstrike/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/airstrike/pkg-plist	Thu Oct 24 10:20:55 2013	(r331472)
@@ -0,0 +1,87 @@
+bin/airstrike
+man/man6/airstrike.6.gz
+%%DATADIR%%/airstrike
+%%DATADIR%%/airstrikerc
+%%DATADIR%%/data/about.txt
+%%DATADIR%%/data/airballoon.png
+%%DATADIR%%/data/ball.png
+%%DATADIR%%/data/balloon-bounce.png
+%%DATADIR%%/data/balloon-deflate.png
+%%DATADIR%%/data/balloon-float.png
+%%DATADIR%%/data/balloon.png
+%%DATADIR%%/data/bg-wide-mask.png
+%%DATADIR%%/data/bg-wide.png
+%%DATADIR%%/data/bg.png
+%%DATADIR%%/data/bgmask.png
+%%DATADIR%%/data/bigfont.png
+%%DATADIR%%/data/bird.png
+%%DATADIR%%/data/blackpixel.png
+%%DATADIR%%/data/blacksmoke.png
+%%DATADIR%%/data/blueplane.png
+%%DATADIR%%/data/blueplanewreck.png
+%%DATADIR%%/data/bomb.png
+%%DATADIR%%/data/bombexplosion.png
+%%DATADIR%%/data/bonus-machine.png
+%%DATADIR%%/data/bonus.png
+%%DATADIR%%/data/bouncer.png
+%%DATADIR%%/data/bsmoke-dissolve.png
+%%DATADIR%%/data/bsmoke-grow.png
+%%DATADIR%%/data/bullet.png
+%%DATADIR%%/data/cannon-fire.png
+%%DATADIR%%/data/cannon-left.png
+%%DATADIR%%/data/cannon-right.png
+%%DATADIR%%/data/cannon-turn-lr.png
+%%DATADIR%%/data/cannon-turn-rl.png
+%%DATADIR%%/data/cannonball.png
+%%DATADIR%%/data/cloud.png
+%%DATADIR%%/data/console-bg.png
+%%DATADIR%%/data/direxpl.png
+%%DATADIR%%/data/energymeter.png
+%%DATADIR%%/data/fire.png
+%%DATADIR%%/data/firebomb.png
+%%DATADIR%%/data/gauge.png
+%%DATADIR%%/data/glyphs-alpha.png
+%%DATADIR%%/data/gsmoke-dissolve.png
+%%DATADIR%%/data/gsmoke-grow.png
+%%DATADIR%%/data/hangar.png
+%%DATADIR%%/data/ldust-dissolve.png
+%%DATADIR%%/data/ldust-grow.png
+%%DATADIR%%/data/lpuff1.png
+%%DATADIR%%/data/lpuff2.png
+%%DATADIR%%/data/mark.png
+%%DATADIR%%/data/message.png
+%%DATADIR%%/data/missile.png
+%%DATADIR%%/data/notes.txt
+%%DATADIR%%/data/parachute.png
+%%DATADIR%%/data/puff-dissolve.png
+%%DATADIR%%/data/puff.png
+%%DATADIR%%/data/redplane.png
+%%DATADIR%%/data/redplanewreck.png
+%%DATADIR%%/data/sdust-dissolve.png
+%%DATADIR%%/data/sdust-grow.png
+%%DATADIR%%/data/smallfont-green.png
+%%DATADIR%%/data/smoke.png
+%%DATADIR%%/data/sound/bird.wav
+%%DATADIR%%/data/sound/hummm.wav
+%%DATADIR%%/data/sound/huvum.wav
+%%DATADIR%%/data/sound/klank2.wav
+%%DATADIR%%/data/sound/shoot.wav
+%%DATADIR%%/data/sound/splat2a.wav
+%%DATADIR%%/data/sound/splat3a.wav
+%%DATADIR%%/data/sound/thump1.wav
+%%DATADIR%%/data/sound/thump4.wav
+%%DATADIR%%/data/sound/twirp.wav
+%%DATADIR%%/data/sound/whrii.wav
+%%DATADIR%%/data/whitesmoke.png
+%%DATADIR%%/data/wsmoke-dissolve.png
+%%DATADIR%%/data/wsmoke-grow.png
+%%DATADIR%%/data/zeppelin-left.png
+%%DATADIR%%/data/zeppelin-right.png
+%%DATADIR%%/data/zeppelin-turn-lr.png
+%%DATADIR%%/data/zeppelin-turn-rl.png
+%%DATADIR%%/data/zeppelin-wreck.png
+%%DATADIR%%/data/zeppelin.png
+share/pixmaps/airstrike.png
+@dirrm %%DATADIR%%/data/sound
+@dirrm %%DATADIR%%/data
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Rusmir Dusko freebsd_committer 2013-10-24 23:47:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!